Nifty API v1.0
​string · required​number · required​number · required​string[] · required​boolean · required
​string · required​string[] · required​string · required​string · required​object · required
​string · required​string · required​string[] · required​string · required​string · required​string · required
​string · required​string · required​string · required
Get Webhooks
GET
https://openapi.niftypm.com
/api/v1.0/webhooks/{app_id}
This endpoint fetch list of all webhook registerd by team member.
path Parameters
app_idEnter application id
Get Webhooks › Request Body
limitNo of records per page
Example: 25
offsetRecord Offset
Example: 0
Get Webhooks › Responses
Success Response
webhooksWebhook
hasMoreTrue if there are more record else false
Default: false
Create Webhook
POST
https://openapi.niftypm.com
/api/v1.0/webhooks
This endpoint register a new webhook endpoint.
Create Webhook › Request Body
endpointWebhook Endpoint URL
eventWebhook events
Enum values:
projectCreated
projectRemoved
projectUpdated
taskCreated
taskRemoved
taskUpdated
portfolioCreated
portfolioRemoved
app_idApplication id
Create Webhook › Responses
The resource created successfully
messageOperation message
webhookWebhook
Update Webhook
PUT
https://openapi.niftypm.com
/api/v1.0/webhooks/{webhook_id}
This endpoint updates an existing webhook endpoint.
path Parameters
webhook_idEnter webhook id
Update Webhook › Request Body
endpointWebhook Endpoint URL
eventWebhook Event
Enum values:
projectCreated
projectRemoved
projectUpdated
taskCreated
taskRemoved
taskUpdated
portfolioCreated
portfolioRemoved
app_idApplication ID
Update Webhook › Responses
Success Response
messageOperation message
webhook_idUpdated webhook record id
Remove Webhook
DELETE
https://openapi.niftypm.com
/api/v1.0/webhooks/{webhook_id}
This endpoint remove webhook endpoint.
path Parameters
webhook_idEnter webhook id
Remove Webhook › Responses
The record has been updated successfully.
messageOperation message
webhook_idWebhook ID